Last Comment Bug 733652 - remove geolocation address
: remove geolocation address
Status: RESOLVED FIXED
: addon-compat, dev-doc-complete
Product: Core
Classification: Components
Component: Geolocation (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: mozilla14
Assigned To: Doug Turner (:dougt)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 19:03 PST by Doug Turner (:dougt)
Modified: 2012-06-27 06:41 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch v.1 (38.49 KB, patch)
2012-03-06 19:03 PST, Doug Turner (:dougt)
josh: review+
Details | Diff | Splinter Review

Description Doug Turner (:dougt) 2012-03-06 19:03:47 PST
Created attachment 603577 [details] [diff] [review]
patch v.1

Remove geolocation address from API.  Blog post forthcoming.
Comment 1 Josh Matthews [:jdm] 2012-03-06 21:19:45 PST
Comment on attachment 603577 [details] [diff] [review]
patch v.1

Wow, we should delete API features more often. Should we consider holding off on landing this until after the merge next week?
Comment 2 Doug Turner (:dougt) 2012-03-06 21:46:34 PST
Comment on attachment 603577 [details] [diff] [review]
patch v.1

it probably doesn't matter all that much.  The desktop doesn't support this now since GLS (the default location service for Firefox desktop) doesn't ever return an address.
Comment 4 Matt Brubeck (:mbrubeck) 2012-03-14 10:10:01 PDT
https://hg.mozilla.org/mozilla-central/rev/691063f2a50e
Comment 5 Eric Shepherd [:sheppy] 2012-05-04 12:30:16 PDT
Documentation updated:

https://developer.mozilla.org/en/XPCOM_Interface_Reference/nsIDOMGeoPositionAddress

And mentioned on Firefox 14 for developers.
Comment 6 Ed Morley [:emorley] 2012-06-22 07:00:56 PDT
Just happened to visit this from the AMO blog.

This was backed out, so shouldn't be marked fixed.
Comment 7 Doug Turner (:dougt) 2012-06-27 06:41:20 PDT
ed, thanks for double checking.  I have confirmed that this patch did stick and we have removed geolocation address.

Note You need to log in before you can comment on or make changes to this bug.